Designs
List designs
Returns a list of all designs (certificates and badges) available in your workspace.
Returns a list of all designs (certificates and badges) available in your workspace.
Authorization
BearerAuth AuthorizationBearer <token>
Provide your access token in the Authorization header with Bearer auth-scheme. You can view and manage your access tokens in the Certifier Dashboard.
In: header
Query Parameters
cursor?string
Cursor for pagination
limit?integer
Number of items to return (default: 20)
Range
value <= 100Header Parameters
Certifier-Version*string
API version header. Required for all requests.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.certifier.io/v1/designs" \ -H "Certifier-Version: 2022-10-26"{
"data": [
{
"id": "01g8znjvd9h0qbhxqwc6av0txn",
"name": "My first design",
"type": "certificate",
"previewUrl": "https://cdn.certifier.io/911264ad-df05-4aeb-966f-96034b711c10%2Fcertificate-designs%2Fpreviews%2F01k6dfeejfbwn273x2v2jqj4an-1759241517660.png",
"createdAt": "2022-01-01T00:00:00.000Z",
"updatedAt": "2022-01-01T00:00:00.000Z"
}
],
"pagination": {
"prev": null,
"next": null
}
}{
"error": {
"code": "missing_version",
"message": "The request is missing the required Certifier-Version header"
}
}{
"error": {
"code": "unauthorized",
"message": "A valid authentication token was not provided with the request"
}
}{
"error": {
"code": "rate_limited",
"message": "You have exceeded the rate limit"
}
}{
"error": {
"code": "internal_server_error",
"message": "There was a problem on Certifier's end"
}
}